EDIT - bug #9199

Adapt TaxEditor to switch to originalSource for remaining single sourced objects

08/19/2020 03:32 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal Found in Version:

Description

copied from #9116

It handles the same as #9116 but for the other SingleSourcedEntities mentioned in #6581

Related issues:

Related to EDIT - feature request #6581: Make all microreferenced references ... Closed
Related to EDIT - feature request #9192: Layout issues for source in taxonnod... Closed
Related to EDIT - feature request #9298: Preference for IDinSource, IdNamespa... New

Follows EDIT - feature request #9116: Adapt Editor to switch to originalSourc... Closed
Copied to EDIT - feature request #9328: Adapt Editor to switch to originalSou... Closed

Associated revisions

Revision 869cb64b - 08/20/2020 09:07 AM - Andreas Miiller

ref ##9199, ref #6581, #9194 adapt TaxEditor to ReferencedEntityBase removal (has open issues)

Revision 82d37a4c - 08/20/2020 01:29 PM - Katja Luther
ref #9199: adapt editor to SingleSourcedEntityBase

Revision d74515be - 08/20/2020 03:15 PM - Katja Luther

ref #9199: continue adapt editor to singleSourcedEntities

Revision 8d33320b - 08/20/2020 03:16 PM - Katja Luther

ref #9199: continue adapt editor to singleSourcedEntities

Revision 7ca24c6e - 08/20/2020 03:25 PM - Katja Luther
ref #9199: TaxonNode should extend SingleSourcedEntityBase

Revision ce14d229 - 08/20/2020 04:48 PM - Katja Luther
ref #9199: TaxonNode is SingleSOurcedEntity

Revision 58e0cf09 - 08/20/2020 05:16 PM - Katja Luther
ref #9199: TaxonNode is SingleSOurcedEntity

Revision 7¢f8a967 - 08/20/2020 05:17 PM - Andreas Miiller

ref #9199 fix TaxonNode issues with new super class

Revision fcccac41 - 08/20/2020 05:30 PM - Andreas Miiller

ref #9199 fix TaxonNode issues with new super class (cont.)

Revision 20a37084 - 08/21/2020 11:29 AM - Katja Luther

ref #9199: layout issues

Revision e154bb27 - 08/21/2020 01:30 PM - Andreas Muller
ref #9199, ref #9194 remove |IReferencedEntity

Revision ¢d024235 - 08/25/2020 10:54 AM - Katja Luther

ref #9199: adapt nomenclatural status to original source and layout issues

Revision 13360a1e - 08/26/2020 12:22 PM - Katja Luther

ref #9199: adapt nom. ref, nom. status, typedes. elements to original source

Revision 0c28ee9b - 08/26/2020 12:49 PM - Katja Luther

ref #9199: adapt TypeDesignationBase to usage of source

Revision 8f36abc7 - 11/11/2020 11:41 AM - Katja Luther

ref #9199: fix problems with nomenclatural reference details

Revision 69bed327 - 11/30/2020 09:37 AM - Katja Luther

fix #9199: layout issues in nomenclatural source details and external links

Revision bd5b538f - 12/02/2020 11:35 AM - Katja Luther

ref #9199: fix NPE for newly created designation source

Revision 387aef2a - 12/02/2020 06:28 PM - Katja Luther

ref #9199: layout issues and code cleaning

Revision 5eabd2c1 - 12/03/2020 03:26 PM - Katja Luther

ref #9199: move original information behind name used in source

Revision af6éadc60 - 12/08/2020 10:52 AM - Katja Luther

ref #9199: fix missing handling of name in source in nomenclatural source

Revision 3¢793992 - 12/08/2020 10:56 AM - Katja Luther

ref #9199: fix missing handling of name in source in nomenclatural source

History

#1 - 08/19/2020 03:32 PM - Andreas Miiller
- Due date set to 07/02/2020
- Start date changed from 08/19/2020 to 07/02/2020

- Follows feature request #9116: Adapt Editor to switch to originalSource for TaxonNode and improve layout of TaxonNode dialogue added

#2 - 08/19/2020 03:34 PM - Andreas Miuller

- Related to feature request #6581: Make all microreferenced references OriginalSources added

#3 - 08/19/2020 03:35 PM - Andreas Miuller

- Related to feature request #9192: Layout issues for source in taxonnode details added

#4 - 08/19/2020 08:47 PM - Andreas Miuller

- Target version changed from Release 5.19 to Release 5.18

#5 - 08/20/2020 09:09 AM - Andreas Mdiller
- Due date deleted (07/02/2020)

#6 - 08/26/2020 12:27 PM - Katja Luther

- Status changed from New to In Progress

adapted are the following elements:

e Nomenclatural Status
* Nomenclatural Reference
e Taxonrelationships/NameRelationships
e Typedesignations

missing:
¢ secundum reference
#7 - 11/19/2020 02:01 PM - Katja Luther

- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

This is fixed for all sources listed above, for sec reference | create a new ticket or we create a new one when the secundum reference is moved to
original source as well?

#8 - 11/19/2020 02:01 PM - Katja Luther
- % Done changed from 0 to 50

#9 - 11/25/2020 08:09 PM - Andreas Miller

- Copied to feature request #9328: Adapt Editor to switch to originalSource for taxon secundum added

#10 - 11/25/2020 08:21 PM - Andreas Miiller

- Subject changed from Adapt Editor to switch to originalSource for remaining single sourced objects to Adapt TaxEditor to switch to originalSource for
remaining single sourced objects

#11 - 11/25/2020 08:22 PM - Andreas Miiller

- Related to feature request #9298: Preference for IDinSource, IdNamespace and original information in nomenclatural reference details view added

#12 - 11/25/2020 10:36 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Can we adapt single source layout according to nomenclatural source layout?

So we

move External Link up and - by default - show it not in the "more" section.

remove bold from External Link label

Relabel External Link => Link or Link(s)

do not use indentation for "more"

remove bold from "more" (not sure if really required, please check what looks better, if possible at all)
Only NamelInSource should stay where it is by default. This needs to be decided from case to case.

#13 - 11/25/2020 10:40 PM - Andreas Miiller

... for TaxonNodes.source we should keep indentation of "more" as it is followed by "Related persons”

#14 - 11/26/2020 02:21 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

| think this is fixed now. Please review.

#15 - 11/27/2020 08:14 AM - Andreas Miller

- Assignee changed from Andreas Muiller to Katja Luther

Yes, this looks much better. Only for nom. sources "more" is still bold. Can you adapt it there, too?

#16 - 11/27/2020 08:17 AM - Andreas Muller

- Status changed from Resolved to Feedback

But it should be adapted for all single sources like for TaxonNode.source. So indentation is needed everywhere, except for nom. source where the
Section only contains source information (there we should not have indentation for "Detail" if we don't have for other elements.

#17 - 11/27/2020 08:20 AM - Andreas Muller

Another layout issue somehow related: In external link, can we move the URI to the top and the type below URI? URlI is the most important. Also
there could be some little space between URI and Type and the space to "Description" could be reduced a bit.

#18 - 11/30/2020 09:37 AM - Katja Luther

- Status changed from Feedback to Resolved

Applied in changeset taxeditor|69bed327b7a5028e5f904ffe9ac8ccald01a20e9.

#19 - 11/30/2020 12:04 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#20 - 12/01/2020 10:51 AM - Andreas Miiller
- File picture920-1.png added

Sometimes the nomenclatural source still shows "No external link" yet instead of no protologue yet.

= Protologue/Onginal Publication
Mo external link yet.

P more

#21 - 12/01/2020 10:52 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

The space between URI and type (in external links could be a bit smaller and therefore a bit more space between type and description). But this is a
minor issue.

#22 - 12/01/2020 10:56 AM - Andreas Miiller

NPE when editing a lectotype source

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/common.service
last remote request client time : 2020-12-01T10:53:59.93
last remote request response header time : Tue, 01 Dec 2020 10:53:59 GMT
client error time : 2020-12-01T10:54:04.024
login : admin
editor version : 5.18.0.202011302349
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.18.5.0.20201103
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.ui.section.reference.AdvancedSourceElement.handleEvent (AdvancedSourceElement. jav
a:100)
at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.propertyChange (AbstractCdmDetailElement. java
:210)
at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCdmFormElement
.java:255)
at eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement.modifyText (TextWithLabelElement. java:178)
at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:180)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

#23 - 12/01/2020 10:57 AM - Andreas Muller

#24 - 12/02/2020 11:42 AM - Katja Luther

Andreas Muller wrote:
NPE when editing a lectotype source

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/common.service
last remote request client time : 2020-12-01T10:53:59.93
last remote request response header time : Tue, 01 Dec 2020 10:53:59 GMT

client error time
login

admin

editor version

server

2020-12-01T10:54:04.024

5.18.0.202011302349

test.e-taxonomy.eu (edit-test) / rem_conf_am

schema version
Windows Server 2012 R2 6.3 amd64

os
Jjava

1.

8.0_121

5.18.5.0.20201103

java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.section.reference.AdvancedSourceElement.handleEvent (AdvancedSourceElement. j

ava:100)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.propertyChange (AbstractCdmDetailElement. ja
va:210)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCdmFormEleme
nt.java:255)

at eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement .modifyText (TextWithLabelElement. java:178)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:180)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)

gefixt.

#25 - 12/02/2020 11:45 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

please review.

#26 - 12/02/2020 04:23 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

Andreas Muller wrote:

Sometimes the nomenclatural source still shows "No external link" yet instead of no protologue yet.

+ Protologue/QOriginal Publication
Mo external link yet.

b more
this still happens

#27 - 12/02/2020 04:25 PM - Andreas Miiller

Andreas Muller wrote:

It still shows up below ID Namesp and ID in Source for some reason. Did you forget to push?

#28 - 12/02/2020 04:28 PM - Andreas Miiller

Also the NPE still exists, but with a different row number:

last remote method : http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/reference.service
last remote request client time : 2020-12-02T16:26:09.547
last remote request response header time : Wed, 02 Dec 2020 16:26:09 GMT

client error time : 2020-12-02T16:26:13.765
login : admin
editor version : 5.18.0.202012021500
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.18.5.0.20201103
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.section.reference.AdvancedSourceElement.handleEvent (AdvancedSourceElement. jav
a:89)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.propertyChange (AbstractCdmDetailElement. java
:210)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmFormElement.firePropertyChangeEvent (AbstractCdmFormElement
.java:255)

at eu.etaxonomy.taxeditor.ui.element.TextWithLabelElement .modifyText (TextWithLabelElement. java:178)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:180)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

| entered ID Namespace here for a type desig which was completely empty except for the designation status

#29 - 12/02/2020 04:30 PM - Andreas Miiller

... looks like the error appears at different places depending on the type field that you enter data in

#30 - 12/03/2020 01:56 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
this should be solved with last commit.

#31 - 12/03/2020 03:09 PM - Andreas Miiller

Andreas Muller wrote:

Andreas Muller wrote:

It still shows up below ID Namesp and ID in Source for some reason. Did you forget to push?

Now it appears also above Name in Source, but the order should be NamelnSource, Originallnformation, ID Namespace, ID in Source.
All other issues seem to be fixed. The new single sources look very nice now!!
#32 - 12/03/2020 03:13 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

#33 - 12/03/2020 03:31 PM - Katja Luther
- Status changed from Feedback to Resolved
- Assignee changed from Katja Luther to Andreas Miiller
Andreas Muller wrote:
Andreas Muller wrote:

Andreas Mller wrote:

It still shows up below ID Namesp and ID in Source for some reason. Did you forget to push?

Now it appears also above Name in Source, but the order should be NamelnSource, Originallnformation, ID Namespace, ID in Source.
All other issues seem to be fixed. The new single sources look very nice now!!

this is fixed.

#34 - 12/03/2020 05:39 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100
Works as expected. We can close this ticket.

Files
picture920-1.png 1.52 KB 12/01/2020 Andreas Miller
